package com.ruoyi.project.reliability.service;

import java.util.List;
import com.ruoyi.project.reliability.domain.TBamOriginal;

/**
 * 故障管理初选Service接口
 * 
 * @author ruoyi
 * @date 2020-11-27
 */
public interface ITBamOriginalService 
{
    /**
     * 查询故障管理初选
     * 
     * @param id 故障管理初选ID
     * @return 故障管理初选
     */
    public TBamOriginal selectTBamOriginalById(Long id);

    /**
     * 查询故障管理初选列表
     * 
     * @param tBamOriginal 故障管理初选
     * @return 故障管理初选集合
     */
    public List<TBamOriginal> selectTBamOriginalList(TBamOriginal tBamOriginal);

    /**
     * 新增故障管理初选
     * 
     * @param tBamOriginal 故障管理初选
     * @return 结果
     */
    public int insertTBamOriginal(TBamOriginal tBamOriginal);

    /**
     * 修改故障管理初选
     * 
     * @param tBamOriginal 故障管理初选
     * @return 结果
     */
    public int updateTBamOriginal(TBamOriginal tBamOriginal);

    /**
     * 批量删除故障管理初选
     * 
     * @param ids 需要删除的故障管理初选ID
     * @return 结果
     */
    public int deleteTBamOriginalByIds(Long[] ids);

    /**
     * 删除故障管理初选信息
     * 
     * @param id 故障管理初选ID
     * @return 结果
     */
    public int deleteTBamOriginalById(Long id);
}
